<template>
  <div>
    <List v-show="activeName==='List'" ref="list" />
  </div>
</template>

<script>
import List from './components/list'
export default {
  components: {
    List
  },
  data() {
    return {
      activeName: 'List',
      INSPECTION_ID: '',
      LICENCE_NO: ''
    }
  },
  watch: {
    activeName(newValue, oldValue) {
      if (newValue == 'List') {
        this.$refs.list.getQuery()
      }
    }
  }
}
</script>

<style scoped>

</style>
